Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727558 - app-editors/kakoune-2020.01.16_p20200601 overrides CFLAGS and hardcodes -O3
Summary: app-editors/kakoune-2020.01.16_p20200601 overrides CFLAGS and hardcodes -O3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: cflags
  Show dependency tree
 
Reported: 2020-06-08 18:08 UTC by sirvertalot
Modified: 2021-05-04 22:17 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
command used to compile kakoune source files (file_727558.txt,238 bytes, text/plain)
2020-06-08 18:08 UTC, sirvertalot
Details
emerge --info (file_727558.txt,7.26 KB, text/plain)
2020-06-08 18:17 UTC, sirvertalot
Details
ebuild patch to sed the makefile, found in contrib/ in the kakoune repo (kakoune-strip-cxx.patch,303 bytes, patch)
2020-06-09 09:43 UTC, sirvertalot
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sirvertalot 2020-06-08 18:08:13 UTC
Created attachment 643994 [details]
command used to compile kakoune source files

In the attachment, the command has -O3 after the -O2 that is set in CFLAGS.
Comment 1 sirvertalot 2020-06-08 18:17:41 UTC
Created attachment 643996 [details]
emerge --info
Comment 2 Sam James archtester gentoo-dev Security 2020-06-08 18:45:49 UTC
I saw this when I was testing for the keywording bug. Thanks for reporting it.
Comment 3 Joonas Niilola gentoo-dev 2020-06-09 04:55:27 UTC
I saw it too, but because I didn't receive any QA notice about non-respecting CFLAGS, just figured it's only noise. However I guess the QA notice is triggered when your CFLAGS are replaced, not when something's appended to them.

Should be an easy patch nevertheless for the next release/snapshot.
Comment 4 sirvertalot 2020-06-09 09:43:48 UTC
Created attachment 644094 [details, diff]
ebuild patch to sed the makefile, found in contrib/ in the kakoune repo
Comment 5 Larry the Git Cow gentoo-dev 2021-05-04 22:17:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60d821c5d1cb49b5dca0e4869240dfa742b08209

commit 60d821c5d1cb49b5dca0e4869240dfa742b08209
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-04-30 16:08:13 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-04 22:17:01 +0000

    app-editors/kakoune: Respect CFLAGS, fix gcc-11 compilation
    
    Closes: https://bugs.gentoo.org/727558
    Closes: https://bugs.gentoo.org/787029
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: Sam James <sam@gentoo.org>

 .../kakoune/files/kakoune-2020.01.16-gcc-11.patch  | 11 +++++++++
 .../kakoune/kakoune-2020.01.16_p20200601.ebuild    | 28 ++++++++++++++--------
 2 files changed, 29 insertions(+), 10 deletions(-)